import { EventCallbackType, EventDataType, EventType } from './types';
interface IEventManager<E extends EventType = EventType> {
    addEventHandler(eventType: E, callback: EventCallbackType<E>): void;
    fireEvent(eventType: E, data: EventDataType[E]): void;
}
export declare class EventManager implements IEventManager {
    private eventHandlers?;
    addEventHandler<E extends EventType>(eventType: E, callback: EventCallbackType<E>): void;
    fireEvent<E extends EventType>(eventType: E, data: EventDataType[E]): void;
}
export {};
