import { TrackingStatus } from '../types';
import { IKameleoonData, ApplicationVersionDataType } from './types';
/**
 * @class
 * ApplicationVersion - a class for creating an instance for app version
 * */
export declare class ApplicationVersion implements IKameleoonData {
    status: TrackingStatus;
    private version;
    /**
     * @param {string} version - version of mobile application
     * */
    constructor(version: string);
    get url(): string;
    get data(): ApplicationVersionDataType;
}
