import { IExternalLogger, LogInputType, LogLevel, LogParametersType } from '../logging/types';
export declare class KameleoonLogger {
    private static logger;
    private static logLevel;
    static setLogger(logger: IExternalLogger): void;
    static setLogLevel(logLevel: LogLevel): void;
    static log({ level, strings, keys }: LogParametersType): void;
    static info(strings: LogInputType, ...keys: unknown[]): void;
    static error(strings: LogInputType, ...keys: unknown[]): void;
    static warning(strings: LogInputType, ...keys: unknown[]): void;
    static debug(strings: LogInputType, ...keys: unknown[]): void;
    static checkLevel(level: LogLevel): boolean;
    private static writeMessage;
}
