import { DomainsType, EventType, ParameterType, QueryType, StrictEventTypeRecord, StrictFirstParameterRecord, StrictParameterRecord, StrictQueryRecord, StrictTrackingRecord, TrackingType } from './types';
export declare const NUMBER_OF_RETRIES = 2;
export declare enum Header {
    UserAgent = "User-Agent",
    ContentType = "Content-Type",
    SdkVersion = "X-Kameleoon-SDK-Version",
    SdkType = "X-Kameleoon-SDK-Type",
    Authorization = "Authorization",
    AcceptEncoding = "Accept-Encoding"
}
export declare const UrlEventType: StrictEventTypeRecord<EventType>;
export declare const UrlParameter: StrictParameterRecord<ParameterType>;
export declare const UrlFirstParameter: StrictFirstParameterRecord<ParameterType>;
export declare const UrlQuery: StrictQueryRecord<QueryType>;
export declare const UrlTracking: StrictTrackingRecord<TrackingType>;
export declare const DEFAULT_DOMAINS: DomainsType;
