import { IExternalStorage } from '../storage/types';
import { StorageDataType } from './types';
import { KameleoonStorageKey } from '../storage/constants';
export declare class StorageCleanupManager<T extends StorageDataType> {
    private readonly cleanupInterval;
    private readonly externalStorage;
    constructor(externalStorage: IExternalStorage<T>, cleanupInterval: number);
    private initCleanupInterval;
    cleanupData(storageKey: KameleoonStorageKey): void;
    private cleanupConsentData;
    private cleanupVariationData;
    private cleanupForcedFeatureVariationData;
    private cleanupForcedExperimentVariationData;
    private cleanupObjectValues;
}
