import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class ApplicationVersion implements ICondition {
    private conditionValue?;
    private versionMatchType?;
    constructor({ version, versionMatchType }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
}
