import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { ConditionDataType, ConditionType } from './types';
import { IConditionFactory } from '../../targeting/conditions/conditionFactoryInstance';
export declare class ConditionFactory implements IConditionFactory {
    createCondition(data: ConditionDataType): Result<ConditionType, KameleoonError>;
}
