import { ConditionDataType, ConditionType } from '../../targeting/conditions/types';
import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
export interface IConditionFactory {
    createCondition(data: ConditionDataType): Result<ConditionType, KameleoonError>;
}
export declare class ConditionFactoryInstance {
    static conditionFactoryInstance: IConditionFactory;
    static setConditionFactoryInstance(value: IConditionFactory): void;
    static createCondition(data: ConditionDataType): Result<ConditionType, KameleoonError>;
}
