import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class ConversionLikelihood implements ICondition {
    private lowerBound?;
    private upperBound?;
    private keyMomentId?;
    private goalId?;
    constructor({ lowerBound, upperBound, keyMomentId, goalId, }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
}
