import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class CustomData implements ICondition {
    private customDataIndex;
    private matchType?;
    private conditionValue?;
    private error?;
    private range?;
    constructor({ customDataIndex, valueMatchType, value, range, }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
    private parseArray;
    private parseRange;
}
