import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class FirstVisit implements ICondition {
    private matchType?;
    private conditionValue?;
    private timeUnit?;
    constructor({ matchType, count, unitOfTime }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
