import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class GeolocationCondition implements ICondition {
    private country?;
    private region?;
    private city?;
    constructor({ country, region, city }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
}
