import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class SdkLanguage implements ICondition {
    private sdkLanguage?;
    private conditionValue?;
    private versionMatchType?;
    constructor({ sdkLanguage, version, versionMatchType }: ConditionDataType);
    evaluate({ sdkInfo, }: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
