import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class VisitorCode implements ICondition {
    private matchType?;
    private conditionValue?;
    constructor({ visitorCode, matchType }: ConditionDataType);
    evaluate({ visitorCode, }: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
