import { Result } from 'ts-res';
import { KameleoonError } from '../kameleoonError';
import { SetDataCallbackParametersType } from '../types';
import { VariationConfiguration } from "../variationConfiguration";
export interface IVisitorCodeManager {
    consentRequired: boolean;
    setVariationConfiguration(variationConfiguration: VariationConfiguration): void;
    getVisitorCode(defaultVisitorCode?: string): string;
    getData: (key: string) => string | null;
    setData: (params: SetDataCallbackParametersType) => void;
    validateVisitorCode(visitorCode: string): Result<void, KameleoonError>;
}
