import { SDKConfigurationType } from '../types';
import { ClientSettingsType } from './types';
export interface IClientSettings {
    readonly settings: ClientSettingsType;
}
export declare class ClientSettings implements IClientSettings {
    private updateInterval;
    private environment;
    private networkDomain;
    private requestTimeout;
    private siteCode;
    private cleanupInterval;
    private trackRetryDelay;
    private trackingInterval;
    constructor(siteCode: string, configuration?: Partial<SDKConfigurationType>);
    private getTrackingInterval;
    private getEnvironment;
    private getCleanupInterval;
    private getUpdateInterval;
    private getNetworkDomain;
    private getRequestTimeout;
    get settings(): ClientSettingsType;
}
