import { VisitorDataFiltersType } from './utilities/types';
export declare const OFF_VARIATION_KEY = "off";
export declare const WAREHOUSE_AUDIENCE_KEY = "warehouseAudiences";
export declare const CACHE_CLEANUP_TIMEOUT = 10;
export declare const CACHE_ITEM_LIFETIME = 5;
export declare const IN_HOLDOUT_VARIATION_KEY = "in-holdout";
/**
 * @readonly
 * @enum {string} an Enum of all the possible Kameleoon SDK types
 * */
export declare enum SdkLanguageType {
    ANDROID = "ANDROID",
    IOS = "IOS",
    JAVA = "JAVA",
    CSHARP = "CSHARP",
    NODEJS = "NODEJS",
    PHP = "PHP",
    RUBY = "RUBY",
    GO = "GO",
    FLUTTER = "FLUTTER",
    REACT = "REACT",
    PYTHON = "PYTHON",
    JAVASCRIPT = "JAVASCRIPT",
    RUST = "RUST"
}
export declare const DEFAULT_VISITOR_DATA_FILTERS: VisitorDataFiltersType;
