import { IKameleoonData, VarGroup, CBSType, CBSDataType } from './types';
import { TrackingStatus } from '../types';
export declare class CBScores implements IKameleoonData {
    status: TrackingStatus;
    private readonly values;
    private readonly cbs;
    constructor(cbsMap: CBSType);
    private extractVarIds;
    getValues(): Map<number, VarGroup[]>;
    get url(): string;
    get data(): CBSDataType;
    static _fromRaw(data: CBSDataType): CBScores;
}
