import { IKameleoonData, KCSType, KCSDataType } from './types';
import { TrackingStatus } from '../types';
/**
 * @class
 * KameleoonConversionScore - a class for creating an KCS Heat Range data
 * */
export declare class KameleoonConversionScore implements IKameleoonData {
    status: TrackingStatus;
    private kcs;
    /**
     * @param {KCSType} kcs - Kameleoon Conversion Score nested object
     * */
    constructor(kcs: KCSType);
    get url(): string;
    get data(): KCSDataType;
}
