import { ClientDataType } from './types';
/**
 * @readonly
 * @enum {string} an Enum containing keys for Kameleoon SDK related data stored on storage
 * */
export declare enum KameleoonStorageKey {
    ClientData = "kameleoonClientData",
    TargetingData = "kameleoonTargetingData",
    TrackingData = "kameleoonTrackingData",
    VariationData = "kameleoonVariationData",
    VisitorCode = "kameleoonVisitorCode",
    ConsentData = "kameleoonConsentData",
    DataInfo = "kameleoonDataInfo",
    KameleoonSimulationFFData = "kameleoonSimulationFFData",
    ForcedFeatureVariation = "kameleoonForcedFeatureVariation",
    ForcedExperimentVariation = "kameleoonForcedExperimentVariation"
}
export declare const DEFAULT_CLIENT_CONFIGURATION: ClientDataType;
export declare const VISIT_DURATION: number;
