import { StorageDataType } from './types';
import { KameleoonStorageKey } from './constants';
interface IIntegrityChecker {
    isDataValid(data: StorageDataType): boolean;
    getDefaultData(data: StorageDataType): StorageDataType;
}
export declare class IntegrityChecker implements IIntegrityChecker {
    private key;
    constructor(key: KameleoonStorageKey);
    isDataValid(data: StorageDataType): boolean;
    getDefaultData(): StorageDataType;
    private checkTrackingDataIntegrity;
    private checkDataInfoIntegrity;
    private checkVariationDataIntegrity;
    private checkClientDataIntegrity;
    private checkTargetingDataIntegrity;
    private getDefaultClientData;
    private hasFields;
}
export {};
