import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class Browser implements ICondition {
    private browser?;
    private version?;
    private versionMatchType?;
    private error?;
    constructor({ browser, version, versionMatchType }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
