import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
export declare class ExclusiveExperimentCondition implements ICondition {
    private campaignType?;
    constructor({ campaignType }: ConditionDataType);
    evaluate(data: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
