import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class PreviousPage implements ICondition {
    private conditionValue?;
    private matchType?;
    constructor({ matchType, url }: ConditionDataType);
    evaluate({ targetingData, }: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
    private getSecondLatestPageView;
}
