import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class Segment implements ICondition {
    segmentId?: number | null;
    constructor({ segmentId }: ConditionDataType);
    evaluate(evaluationData: EvaluationDataType): Result<boolean, KameleoonError>;
}
