import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
export declare class TargetExperimentCondition implements ICondition {
    private variationMatchType?;
    private variationId;
    private experimentId;
    constructor({ variationMatchType, variation, experiment, }: ConditionDataType);
    evaluate(data: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
