import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
export declare class TargetFeatureFlag implements ICondition {
    private featureId?;
    private ruleId?;
    private variationKey?;
    constructor({ featureFlagId, variationKey, ruleId }: ConditionDataType);
    evaluate({ variationData, ruleMap, }: EvaluationDataType): Result<boolean, KameleoonError>;
}
