import { EvaluationDataType } from '../../targeting/types';
import { ConditionDataType, ICondition } from './types';
import { Result } from 'ts-res';
import { KameleoonError } from '../../kameleoonError';
export declare class TargetPersonalizationCondition implements ICondition {
    private personalizationId?;
    constructor({ personalizationId }: ConditionDataType);
    evaluate(data: EvaluationDataType): Result<boolean, KameleoonError>;
    private checkCondition;
}
