import { Result } from 'ts-res';
import { KameleoonError } from '../kameleoonError';
export declare class Validator {
    static validateVersion(version: string): Result<[number, number, number], KameleoonError>;
    static validateDomain(domain: string | undefined): Result<string, void>;
    static validateNetworkDomain(networkDomain: string | undefined): Result<string, void>;
    private static checkAndTrimProtocol;
}
